<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>新增場次</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>

	<form th:action="stockCreate" enctype="multipart/form-data" th:object="${stock}" method="post">
		<div class="container">
			演出類型: <select name="stockCategory" th:field="*{stockCategory}">
				<option th:each="stockCategory : ${allStockCategories}"
					th:value="${stockCategory.id}" th:text="${stockCategory.name}">商業</option>
			</select><br /> 
			主辦單位:<select name="stockHost" th:field="*{stockHost}">
				<option th:each="stockHost : ${allStockHosts}"
					th:value="${stockHost.id}" th:text="${stockHost.host_name}">商業</option>
			</select><br />
			演出名稱:<input type="text" name="name"
				th:field="*{name}" /><br />
			<div th:if="${#fields.hasErrors('name')}"
				th:errors="*{name}"></div>
			演出地點<input type="text" name="place"
				th:field="*{place}" /><br />
			<div th:if="${#fields.hasErrors('place')}"
				th:errors="*{place}"></div>
			演出者：<input type="text" name="performers"
				th:field="*{performers}" /><br />
			<div th:if="${#fields.hasErrors('performers')}"
				th:errors="*{performers}"></div>
			照片:<input type="file" name="photoFile" 
				th:field="*{photoFile}" /><br />
			<div th:if="${#fields.hasErrors('photoFile')}"
				th:errors="*{photoFile}"></div>
			定價：<input type="text" name="price"
				th:field="*{price}" /><br />
			<div th:if="${#fields.hasErrors('price')}"
				th:errors="*{price}"></div>
			優惠價：<input type="text" name="discountePrice"
				th:field="*{discountedPrice}" /><br />
			<div th:if="${#fields.hasErrors('discountedPrice')}"
				th:errors="*{discountedPrice}"></div>
			優惠期限：<input type="date" name="discountePrice"
				th:field="*{discountedDate}" /><br />
			<div th:if="${#fields.hasErrors('discountedDate')}"
				th:errors="*{discountedDate}"></div>
			
			<button type="submit" class="blue">確認</button>

		</div>
	</form>

</body>
</html>